#include "cfs_mesh_region.h"

namespace NiHu
{
	
cfs_mesh_region::cfs_mesh_region(h5_file &file, std::string const &path)
{
	// Read the data at once
	read(file, path);
}

void cfs_mesh_region::read(h5_file &file, std::string const &path)
{
	m_dimension = file.read_attribute<unsigned int>(path, "Dimension");
	m_nodes = file.read<indices_t>(path + "/Nodes");
	m_elements = file.read<indices_t>(path + "/Elements");
}

void cfs_mesh_region::print_debug(std::ostream &os, std::string const &prefix)
{
	os << prefix << "Dimension: " << m_dimension << '\n'; 
	os << prefix << "#Nodes: " << m_nodes.rows() << '\n';
	os << prefix << "#Elems: " << m_elements.rows() << '\n';
}

}
