#ifndef XML_FILE_H_INCLUDED
#define XML_FILE_H_INCLUDED

#include <string>

#include "parsers/XercesDOMParser.hpp"
#include "dom_elem.h"

class xml_file
{
public:
	static void initialize();
	static void terminate();

	xml_file(std::string const &fname);
	~xml_file();
	xml_file(xml_file const &other) = delete;
	xml_file &operator=(xml_file const &other) = delete;
	xml_file(xml_file &&other) = delete;
	xml_file &operator=(xml_file &&other) = delete;

	void close();

	dom_elem get_root() const;

private:
	xercesc::XercesDOMParser *m_dom_parser;
};

#endif
